No puedo instalar Google Earth [Solucionado]

gruagach escribió:

En los repositorios de lenny tambien hay el paquete.

Sí, pero la versiónd e lenny no reconoce la última versión de google earth, y por eso falla.

--force

shaola escribió:

--force

¿Te referís a esto?

googleearth-package --force

Funcionó de la siguiente manera:

googleearth-package --force

Y luego con dpkg.

Me olvidé de agradecer. ¡Gracias a todos!

PabliNet escribió:

Funcionó de la siguiente manera:

googleearth-package --force

Y luego con dpkg.

Comento a continuación los pasos que seguí (por si a alguien más le es útil) ya que lo acabo de hacer en Debian (squeeze amd64), y el comando anterior es incorrecto.

Inicié sesión como root y me quedé en su propio directorio:

# cd

luego instalé el paquete googleearth-package:

# aptitude install googleearth-package

luego ejecuté el siguiente comando con el parámetro --force :

# make-googleearth-package --force

lo cual arrojó:

--2010-03-15 16:07:08--  http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Resolving
dl.google.com... 74.125.155.93, 74.125.155.91, 74.125.155.136, ...          
Connecting to dl.google.com|74.125.155.93|:80... connected.                           
HTTP request sent, awaiting response... 200 OK                                        
Length: 25989559 (25M) [application/octet-stream]                                     
Saving to: “GoogleEarthLinux.bin”
[...........]
[...........]
[...........]
dpkg-deb: building package `googleearth' in `./googleearth_5.1.3533.1731+0.5.7-1_amd64.deb'.
Success!
You can now install the package with e.g. sudo dpkg -i <package>.deb

luego instalé con dpkg el paquete .deb generado ahí mismo:

# dpkg -i googleearth_5.1.3533.1731+0.5.7-1_amd64.deb

luego ejecuté Google Earth desde el menú K > Internet > Google Earth pero no se inició ... así que buscando en Internet encontré ( http://sidux.com/PNphpBB2-viewtopic-t-14551.html ) que necesitaba instalar el paquete ia32-libs-gtk ya que mi sistema es de 64bits:

# aptitude install ia32-libs-gtk

finalmente volví a ejecutar Google Earth y esta vez sí funcionó.

Saludos,
Sidd.

siddharta escribió:
PabliNet escribió:

Funcionó de la siguiente manera:

googleearth-package --force

Y luego con dpkg.

Comento a continuación los pasos que seguí (por si a alguien más le es útil) ya que lo acabo de hacer en Debian (squeeze amd64), y el comando anterior es incorrecto.

Inicié sesión como root y me quedé en su propio directorio:

# cd

luego instalé el paquete googleearth-package:

# aptitude install googleearth-package

luego ejecuté el siguiente comando con el parámetro --force :

# make-googleearth-package --force

lo cual arrojó:

--2010-03-15 16:07:08--  http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Resolving
dl.google.com... 74.125.155.93, 74.125.155.91, 74.125.155.136, ...          
Connecting to dl.google.com|74.125.155.93|:80... connected.                           
HTTP request sent, awaiting response... 200 OK                                        
Length: 25989559 (25M) [application/octet-stream]                                     
Saving to: “GoogleEarthLinux.bin”
[...........]
[...........]
[...........]
dpkg-deb: building package `googleearth' in `./googleearth_5.1.3533.1731+0.5.7-1_amd64.deb'.
Success!
You can now install the package with e.g. sudo dpkg -i <package>.deb

luego instalé con dpkg el paquete .deb generado ahí mismo:

# dpkg -i googleearth_5.1.3533.1731+0.5.7-1_amd64.deb

luego ejecuté Google Earth desde el menú K > Internet > Google Earth pero no se inició ... así que buscando en Internet encontré ( http://sidux.com/PNphpBB2-viewtopic-t-14551.html ) que necesitaba instalar el paquete ia32-libs-gtk ya que mi sistema es de 64bits:

# aptitude install ia32-libs-gtk

finalmente volví a ejecutar Google Earth y esta vez sí funcionó.

Saludos,
Sidd.

Este problema lo tuve en una instalación con Debian de 32-bit, pero fijate aquí.

PabliNet escribió:

Este problema lo tuve en una instalación con Debian de 32-bit, pero fijate aquí.

También leí ese artículo entre varios que encontré, pero decidí comentar lo que hice en este tema, para arrojar más luz sobre la secuencia de los pasos.

Saludos Pablinet,
Sidd.

siddharta escribió:
PabliNet escribió:

Este problema lo tuve en una instalación con Debian de 32-bit, pero fijate aquí.

También leí ese artículo entre varios que encontré, pero decidí comentar lo que hice en este tema, para arrojar más luz sobre la secuencia de los pasos.

Saludos Pablinet,
Sidd.

Muy buena idea.